Username: Password: Remember me
Search Criteria Advanced
Package Details

nvidia-utils-beta 195.36.03-1
http://www.nvidia.com/
NVIDIA beta drivers utilities and libraries.

unsupported :: modules
Maintainer: ProgDan
Votes: 429

License: custom

Last Updated: Sat, 06 Feb 2010 20:20:46 +0000
First Submitted: Tue, 19 Aug 2008 21:42:31 +0000

Tarball :: Files :: PKGBUILD

Dependencies xorg-server>=1.5
Required by nvidia-beta nvidia-beta-all nvidia-beta-ice-rt nvidia-beta-zen nvidia-bfs-beta nvidia-ice-beta

Sources
ftp://download.nvidia.com/XFree86/Linux-/195.36.03/NVIDIA-Linux--195.36.03-pkg0.run
Comment by: ProgDan on Sat, 06 Feb 2010 20:20:55 +0000
Updated to 195.36.03
Comment by: ProgDan on Thu, 31 Dec 2009 12:26:41 +0000
Fixed. Thank you Limoto
Comment by: Limoto on Thu, 31 Dec 2009 10:36:41 +0000
195.30 also includes OpenCL libraries and some OpenCL stuff in /etc, what is not installed with this PKGBUILD
Comment by: ProgDan on Sun, 13 Dec 2009 22:00:20 +0000
Alessandro is right. 190.xx are stable, this is unstable. No reason for "update"
Comment by: alessandro_ufms on Sun, 13 Dec 2009 03:15:14 +0000
Hum... the 190.53 is a maintaining of current 190.xx stable driver series. IMHO, that doesn't apply to nvidia-beta.
Comment by: pyther on Sun, 13 Dec 2009 02:58:06 +0000
190.53 is released
Comment by: fettouhi on Sat, 28 Nov 2009 17:07:10 +0000
Is anybody experiencing the probmes with gl output in mplayer, i.e. smplayer ang gnome mplayer? GL output works fine in vlc with 195.22.
Comment by: ProgDan on Thu, 26 Nov 2009 07:08:53 +0000
Following Ranguvar's advice I synced my PKGBUILD with the one from [extra] (in order to avoid conflict with libvdpau) so this packages does not provide libvdpau.
MAYBE the libvdpau has to be rebuilt against these drivers. I don't exactly understand why libvdpau is downloaded from some Git repository (vdpau is opensource?) instead of using the libraries which are already in the drivers package.
Comment by: crymson_pheonix on Wed, 25 Nov 2009 22:58:01 +0000
I noticed that the nvidia-utils in the main repositories have split out libvdpau.
Should libvdpau be added to the 'privides' line?
Comment by: fettouhi on Wed, 25 Nov 2009 21:05:38 +0000
Yeah I have the same problem with gl with the new driver.
Comment by: alessandro_ufms on Wed, 25 Nov 2009 02:14:57 +0000
Are you can play a video on mplayer with gl output driver? After the upgrade, MPlayer interrupted by signal 11 in module: decode_video ID_SIGNAL=11. xv output driver works fine.
Comment by: ProgDan on Tue, 24 Nov 2009 17:06:58 +0000
Updated to 195.22

amirs: Revides, thank you.
Comment by: amirs on Tue, 24 Nov 2009 03:59:31 +0000
needs revised PKGBUILD:

#Maintainer: Dan Vratil <vratil@progdansoft.com>

pkgname=nvidia-utils-beta
pkgver=195.22
pkgrel=1
pkgdesc="NVIDIA beta drivers utilities and libraries."
provides=("nvidia-utils=${pkgver}" 'libgl')
arch=('i686' 'x86_64')
[ "$CARCH" = "i686" ] && ARCH=x86 && NV=0
[ "$CARCH" = "x86_64" ] && ARCH=x86_64 && NV=0
url="http://www.nvidia.com/"
depends=('xorg-server>=1.5')
conflicts=('libgl' 'libgl-dri' 'ati-fglrx-utils' 'nvidia-legacy-utils'
'nvidia-71xx-utils' 'nvidia-96xx-utils')
license=('custom')
install=nvidia.install
source=(ftp://download.nvidia.com/XFree86/Linux-${ARCH}/${pkgver}/NVIDIA-Linux-${ARCH}-${pkgver}-pkg${NV}.run)

md5sums=('b46f38c763aa23eb3568be08646d740b')
[ "$CARCH" = "x86_64" ] && md5sums=('ae431ff849ec01446e6724f9fcfe3bb4')

options=(docs)

build()
{
# override nvida install routine and do it the long way.
cd $startdir/src/
sh NVIDIA-Linux-${ARCH}-${pkgver}-pkg0.run --extract-only
cd NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/usr/

mkdir -p $pkgdir/usr/{lib,bin,share/applications,share/pixmaps,share/man/man1}
mkdir -p $pkgdir/usr/lib/xorg/modules/{extensions,drivers}
mkdir -p $pkgdir/usr/lib/vdpau
mkdir -p $pkgdir/usr/share/licenses/nvidia
mkdir -p $pkgdir/usr/include/cuda

install -m644 include/cuda/cuda*.h $pkgdir/usr/include/cuda/

install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls}.so.${pkgver} $pkgdir/usr/lib/ || return 1
install -m755 lib/vdpau/libvdpau_nvidia.so.${pkgver} "${pkgdir}/usr/lib/vdpau/" || return 1
ln -sf libvdpau_nvidia.so.${pkgver} "${pkgdir}/usr/lib/vdpau/libvdpau_nvidia.so.1"

install -m644 share/man/man1/* $pkgdir/usr/share/man/man1/ || return 1
rm $pkgdir/usr/share/man/man1/nvidia-installer.1.gz || return 1
install X11R6/lib/{libXvMCNVIDIA.a,libXvMCNVIDIA.so.195.22} $pkgdir/usr/lib/ || return 1
install -m644 share/applications/nvidia-settings.desktop $pkgdir/usr/share/applications/ || return 1
# fix nvidia .desktop file
sed -e 's:__UTILS_PATH__:/usr/bin:' -e 's:__PIXMAP_PATH__:/usr/share/pixmaps:' -i $pkgdir/usr/share/applications/nvidia-settings.desktop
install -m644 share/pixmaps/nvidia-settings.png $pkgdir/usr/share/pixmaps/ || return 1
install X11R6/lib/modules/drivers/nvidia_drv.so $pkgdir/usr/lib/xorg/modules/drivers || return 1
install X11R6/lib/modules/extensions/libglx.so.$pkgver $pkgdir/usr/lib/xorg/modules/extensions || return 1
install -m755 bin/nvidia-{settings,xconfig,bug-report.sh} $pkgdir/usr/bin/ || return 1
cd $pkgdir/usr/lib/
ln -s libGL.so.$pkgver libGL.so || return 1
ln -s libGL.so.$pkgver libGL.so.1 || return 1
ln -s libGLcore.so.$pkgver libGLcore.so.1 || return 1
ln -s libnvidia-cfg.so.$pkgver libnvidia-cfg.so.1 || return 1
ln -s libnvidia-tls.so.$pkgver libnvidia-tls.so.1 || return 1
ln -s libcuda.so.$pkgver libcuda.so.1 || return 1
ln -s libcuda.so.$pkgver libcuda.so || return 1
ln -s libXvMCNVIDIA.so.$pkgver libXvMCNVIDIA_dynamic.so.1 || return 1

cd $pkgdir/usr/lib/xorg/modules/extensions
ln -s libglx.so.$pkgver libglx.so || return 1

install -m644 $srcdir/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/LICENSE $pkgdir/usr/share/licenses/nvidia/ || return 1
ln -s nvidia $startdir/pkg/usr/share/licenses/nvidia-utils || return 1

install -D -m644 $srcdir/NVIDIA-Linux-${ARCH}-${pkgver}-pkg0/usr/share/doc/README.txt $pkgdir/usr/share/doc/nvidia/README || return 1

find $pkgdir/usr -type d -exec chmod 755 {} \;
chmod 644 $pkgdir/usr/lib/libXvMCNVIDIA.a
}
Comment by: Ranguvar on Mon, 23 Nov 2009 21:44:54 +0000
The new version of libvdpau has force set in the options, so some level of incompatibility with old libvdpau is likely.

What I would do is just make sure that nvidia-utils and nvidia-utils-beta give the same error when trying to install, as in, they have the same amount of confliction.
Comment by: ProgDan on Sun, 22 Nov 2009 11:55:25 +0000
Thx giovanni, but it still does not work.
Comment by: giovanni on Sun, 22 Nov 2009 11:50:39 +0000
Or
"nvidia-utils=${pkgver}-${pkgrel}"
Comment by: giovanni on Sun, 22 Nov 2009 11:46:28 +0000
Maybe you should change:
from
'${pkgver}'-'${pkgrel}
to
'${pkgver}'-'${pkgrel}'
Comment by: ProgDan on Sun, 22 Nov 2009 11:17:55 +0000
The package now synced with nvidia-utils is :-)

Btw I set provides=('nvidia-utils=190.42-3') which should be OK with libvdpau (conflicts with nvidia-utils<190.42-2) but pacman still claims that libvdpau conflicts with nvidia-utils-beta. Any ideas please? :-)
I have only three possible explanations
1) pacman does not like conflicts=('nvidia-utils')
2) pacman does not like pkgrel in provides=()
3) pacman does not like me
Comment by: Ranguvar on Sun, 22 Nov 2009 02:03:03 +0000
Also, your PKGBUILD still makes the package conflict with 'libvdpau', which is now a dependency of GStreamer's bad plugins, among other things.

I think you should probably re-sync to main Arch PKGBUILD :)
Comment by: Ranguvar on Sun, 22 Nov 2009 02:00:53 +0000
New PKGBUILD fails:
install: target `/home/ranguvar/tmp/pkgs/nvidia-utils-beta/pkg/usr/lib/vdpau' is not a directory

You misspelt line #43 :) It should be 'vdpau', not 'vpau'.
Thanks!

Oh, also, your PKGBUILD seems to have other differences from the 'nvidia-utils' PKGBUILD... for example, that other also has the line 'chmod 644 $pkgdir/usr/lib/libXvMCNVIDIA.a' at the end of build(). You may want to add that, and check for other problems maybe?
Comment by: ProgDan on Sun, 22 Nov 2009 01:31:35 +0000
Updated. Thank you Ranguvar.

(just moved libvdpau from /usr/lib to /usr/lib/vdpau/ )
Comment by: Ranguvar on Sun, 22 Nov 2009 00:59:55 +0000
nvidia-utils 190.42-2 is out now, with changes this package should copy :)

See message and diff here: http://repos.archlinux.org/wsvn/packages/nvidia-utils/repos/extra-x86_64/PKGBUILD?op=log&rev=0&isdir=
Comment by: ProgDan on Thu, 22 Oct 2009 18:51:49 +0000
Updated to 190.42.

Thanks for help Fysiikka
Comment by: Fysiikka on Thu, 22 Oct 2009 15:09:45 +0000
Also the nvidia.install ;): http://pastebin.com/m3c9a4465

Difference: http://img230.imageshack.us/img230/5895/snapshot5.jpg
Comment by: Fysiikka on Thu, 22 Oct 2009 14:55:11 +0000
New one: http://pastebin.com/m28bc138e
Comment by: wantilles on Thu, 22 Oct 2009 08:58:49 +0000
190.42 is out.
Comment by: ProgDan on Sat, 17 Oct 2009 12:58:01 +0000
Updated to 190.40
Comment by: Fysiikka on Sat, 17 Oct 2009 09:38:02 +0000
Please update: http://pastebin.com/m5ca48b56
Comment by: ProgDan on Fri, 25 Sep 2009 15:13:24 +0000
Works for me. Check if you have enough free disk space and memory. I'm not sure what exactly could be reason for this error.
Comment by: bravebug on Fri, 25 Sep 2009 15:04:10 +0000
$ pacman -U nvidia-utils-beta-190.36-1-x86_64.pkg.tar.gz
loading package data...
checking dependencies...
(1/1) checking for file conflicts [####################] 100%
(1/1) installing nvidia-utils-beta [####################] 100%
shift: 35: can't shift that many
error: command failed to execute correctly
Comment by: ProgDan on Fri, 25 Sep 2009 12:49:20 +0000
Updated to 190.36
Comment by: ProgDan on Sun, 13 Sep 2009 14:24:54 +0000
Fixed. Thank you Ranguvar.
Comment by: Ranguvar on Sun, 13 Sep 2009 03:53:04 +0000
Hello,
This package places man pages in /usr/man/. This is not FHS-compliant, and the official Arch nvidia-utils package places the man pages in /usr/share/man/.

See here: http://repos.archlinux.org/viewvc.cgi/nvidia-utils/repos/extra-x86_64/PKGBUILD?revision=50657&view=markup

(one obvious difference is in the first mkdir -p line, where man/man1 at the end of the line is now share/man/man1.

Thanks! :)
Comment by: ProgDan on Sun, 06 Sep 2009 14:55:40 +0000
Updated to 190.32
Comment by: ProgDan on Tue, 01 Sep 2009 13:25:42 +0000
Now I understand it. Fixed and thank you :-)
Comment by: IncredibleLaser on Tue, 01 Sep 2009 13:04:36 +0000
Sorry, I meant 18th of march. Some packages need a specific version of nvidia{-utils}. So instead of provides=('nvidia-utils' 'libgl'), I'd prefer provides=("nvidia-utils=${pkgver}" 'libgl'). Most packages depending on VDPAU need it since VDPAU wasn't always supported.
Comment by: ProgDan on Sun, 23 Aug 2009 16:19:44 +0000
IncredibleLaser: Probably I've missed something, but I don't see any debug line in the PKGBUILD. Since I have Arch32 chroot available I don't use this method any longer.
Comment by: IncredibleLaser on Sun, 23 Aug 2009 16:08:24 +0000
See my comment from march 22nd.
Comment by: ProgDan on Sat, 22 Aug 2009 14:13:11 +0000
Updated to 192.25

Fixed provides=() array, thanks XAVeRY.
Comment by: alessandro_ufms on Sat, 22 Aug 2009 14:01:59 +0000
190.25 is out.
Comment by: XAVeRY on Sat, 25 Jul 2009 16:05:39 +0000
I think you should add provides=('nvidia-utils' 'libgl') to the PKGBUILD.
Comment by: ProgDan on Fri, 24 Jul 2009 11:15:32 +0000
Updated to 190.18
Comment by: ProgDan on Tue, 21 Jul 2009 21:12:00 +0000
Updated to 190.16
Comment by: ProgDan on Fri, 29 May 2009 19:43:16 +0000
Updated to 185.18.14
Comment by: ProgDan on Mon, 18 May 2009 16:04:04 +0000
Updated to 185.18.10 and fixed libcuda link. Thanks bwalk.
Comment by: bwalk on Mon, 11 May 2009 13:58:27 +0000
ln -sf libcuda.so.185.18.08 libcuda.so is missing.
Comment by: ProgDan on Tue, 05 May 2009 16:51:30 +0000
Updated to 185.18.08.
Comment by: ProgDan on Fri, 24 Apr 2009 15:20:15 +0000
Updated to 185.18.04.

It IS an update, just don't look on the numbers.
Comment by: ProgDan on Mon, 06 Apr 2009 22:12:05 +0000
Updated to 185.19
Comment by: ProgDan on Sun, 22 Mar 2009 11:14:00 +0000
I have reverted the package back to 185.13. The reason is, that there are another packages which depends on really -beta release and I don't want to break another packages.
Comment by: ProgDan on Sun, 22 Mar 2009 10:59:26 +0000
Fixed.
Comment by: IncredibleLaser on Sun, 22 Mar 2009 08:40:39 +0000
There is a line "CARCH=i686" in your PKGBUILD (for debugging?) which prevents building the package for x86_64.
Comment by: ProgDan on Sat, 21 Mar 2009 13:07:49 +0000
Updated to 180.41

Modified provide=() array. Thanks IncredibleLaser.
Comment by: IncredibleLaser on Wed, 18 Mar 2009 13:54:01 +0000
Could you let it provide nvidia-utils=$pkgver ? some packages need a certain version of the drivers (same goes for nvidia-beta).
Comment by: ProgDan on Sat, 14 Mar 2009 19:23:43 +0000
Updated to 185.13
Comment by: ProgDan on Sat, 07 Mar 2009 08:18:25 +0000
Weird, my cell refuses to doownload this PKGBUILD :-) So you have to do it really yourself, sorry.
I'll officially submit the package on friday od saturday.

Thanks for patience.
Comment by: Frikilinux on Sat, 28 Feb 2009 15:20:16 +0000
Driver 180.35 can cause problems in KDE 4.2, see: http://www.nvnews.net/vbulletin/showthread.php?t=128992
Comment by: ProgDan on Wed, 25 Feb 2009 01:20:40 +0000
Updated to 180.35 (stable)
Comment by: ProgDan on Tue, 10 Feb 2009 16:26:18 +0000
Updated to 180.29
Comment by: ProgDan on Thu, 29 Jan 2009 19:11:00 +0000
Updated to 180.27
Comment by: ProgDan on Tue, 27 Jan 2009 23:42:37 +0000
Dr.Egg: first, delete your old src directory, then try to build it again.
Comment by: Dr.Egg on Tue, 27 Jan 2009 23:37:50 +0000
build fails with this error


Creating directory NVIDIA-Linux-x86-180.25-pkg0
The directory 'NVIDIA-Linux-x86-180.25-pkg0' already exists. Please either
move the existing directory out of the way, or specify a
different directory with the '--target' option.
./PKGBUILD: line 34: cd: NVIDIA-Linux-x86-180.25-pkg0/usr/: No such file or directory
install: cannot stat `include/cuda/cudaGL.h': No such file or directory
install: cannot stat `include/cuda/cuda.h': No such file or directory
install: cannot stat `include/vdpau/vdpau_x11.h': No such file or directory
install: cannot stat `include/vdpau/vdpau.h': No such file or directory
install: cannot stat `lib/libGLcore.so.180.25': No such file or directory
install: cannot stat `lib/libGL.so.180.25': No such file or directory
install: cannot stat `lib/libnvidia-cfg.so.180.25': No such file or directory
install: cannot stat `lib/libcuda.so.180.25': No such file or directory
install: cannot stat `lib/tls/libnvidia-tls.so.180.25': No such file or directory
install: cannot stat `lib/libvdpau_nvidia.so.180.25': No such file or directory
install: cannot stat `lib/libvdpau.so.180.25': No such file or directory
install: cannot stat `lib/libvdpau_trace.so.180.25': No such file or directory
==> ERROR: Build Failed.
Aborting...
Error: Makepkg was unable to build nvidia-utils-beta package.
Comment by: ProgDan on Tue, 27 Jan 2009 21:46:42 +0000
Updated to 180.25
Comment by: ProgDan on Sat, 10 Jan 2009 12:23:54 +0000
Updated to 180.22
Comment by: omega5 on Thu, 08 Jan 2009 19:01:17 +0000
180.22 is now out on the main nvidia page
Comment by: mips on Sat, 03 Jan 2009 16:04:00 +0000
"and about the pacman -U error, pacman cannot replace packages with -U, so you will have to:
pacman -Rd libgl
and then
pacman -U nvidia-beta.tar....."

Thats what I did. Anyway, I'm done here. Thanks for your assistance.
Comment by: adamruss on Sat, 03 Jan 2009 16:01:07 +0000
dude, there are manual's, a forum and a wiki for this, if you dont know how to compile a local package, you probebly dont need nvidia-beta drivers, just use the drivers in extra repo:

pacman -S nvidia

and about the pacman -U error, pacman cannot replace packages with -U, so you will have to:
pacman -Rd libgl
and then
pacman -U nvidia-beta.tar.....
Comment by: mips on Sat, 03 Jan 2009 15:07:57 +0000
I have also tried building manually and then isntalling with pacman but that gives me some pacman -U error of sorts.
Comment by: adamruss on Sat, 03 Jan 2009 14:25:07 +0000
nvidia driver PROVIDES libgl, so you install xorg + libgl for compiling the driver, once it is build to a package, you install the nvidia driver package - it will replace libgl (pacman will prompt you for replacment).
Comment by: mips on Sat, 03 Jan 2009 13:59:29 +0000
Ok, so xorg requires libgl and nvidia-settings-beta requires xorg. This will still leave me with libgl which is going to cause a conflict. I feel like I'm going in circles here.
Comment by: adamruss on Sat, 03 Jan 2009 13:40:41 +0000
depends=('libx11>=1.1.5' 'libxkbui>=1.0.2' 'libgl' 'libxfont>=1.3.3' 'openssl>=0.9.8h' 'libxxf86misc>=1.0.1' 'libpciaccess>=0.10.5' 'libxv>=1.0.4' 'libxaw>=1.0.4' 'pixman>=0.11.10' 'hal>=0.5.11' 'xcursor-themes' 'xkeyboard-config>=1.3' 'xorg-server-utils' 'xorg-utils' 'xorg-fonts-misc' 'xbitmaps' 'libdrm>=2.3.1' 'diffutils' 'xf86-input-evdev')

this is xorg-server dep list, as you see libgl is there.
Comment by: mips on Sat, 03 Jan 2009 13:22:26 +0000
Xorg does not require libgl and it is not a dependancy. It's optional to install it, http://wiki.archlinux.org/index.php/Beginners_Guide#Install_X
Uncommenting the the dependancy line will not stop nvidia-utils-beta from installing libgl, it is something else somewhere else in the pkgbuild.
Comment by: adamruss on Sat, 03 Jan 2009 12:29:12 +0000
i see,
well you can comment out line 12 -> "depends=('xorg-server>=1.5')"

but i think you have to have xorg installed for building the driver, and xorg has to have libgl installed, after the nvidia driver is build, when you install it it will replace the libgl package.
Comment by: mips on Sat, 03 Jan 2009 12:11:08 +0000
adamruss see the comments further down. I do not have libgl installed. yaourt -S nvidia-utils-beta however will install libgl & xorg automatically as dependancies before building the nvidia-utils-beta package. The problem lies with the packagebuild as it is the packagebuild that install libgl & not me.
Comment by: adamruss on Sat, 03 Jan 2009 12:06:27 +0000
libgl cannot be installed if you want the nvidia driver installed - it conflicts.

if you are trying pacman -Syu and pacman wants to install libgl - check if you dont have other xf86-video drivers install that are trying to install libgl as a dep, that happend to me, i found out ati driver is also installed.
just do pacman -Qs xf86-video and remove drivers that you dont need.
Comment by: mips on Sat, 03 Jan 2009 11:49:44 +0000
Can someone please tell me which item(s) or line(s) in the PKGBUILD I must comment out in order to avoid the libgl conflict I'm experiencing. Please provide the line# and quote the text.

Thanks, I hitting my head against a brick wall here.
Comment by: ProgDan on Sun, 14 Dec 2008 18:59:31 +0000
Updated to 180.16
Comment by: IncredibleLaser on Tue, 09 Dec 2008 10:53:58 +0000
I was able to compile mplayer-vdpau with the previous version of this package (it was modified to include the necessary modules) and the results were astonishing. mplayer cpu-load went down from 30% to 2% with the example videos (other containers didn't work).
Comment by: ProgDan on Sun, 07 Dec 2008 23:25:32 +0000
Thanks you very very much Richard for providing all that informations.

I modified the PKGBUILD accorgind to your patch, and commented the line where installing GL libraries.

I'll compile and test mplayer-vdpau as soon as possible and put here the result. If someone was faster, please let me know how it works.
Comment by: R_9 on Thu, 04 Dec 2008 23:48:52 +0000
I just found out that another package (mesa) includes the OpenGL headers, so the part of the patch where I install NVDIA's OpenGL headers is likely to cause conflicts.

I'm not sure what the proper solution to this conflict is but, for non OpenGL programmers, it should be OK to remove the line where the patched PKGBUILD installs /usr/include/GL/*.
Comment by: R_9 on Thu, 04 Dec 2008 04:11:41 +0000
It seems VDPAU support is not built in. The PKGBUILD overrides NVDIA's installer, and has not been updated for the new files. It must not have been updated for quite some time; as far as I can tell CUDA programming must have been broken for quite some time.

Here's a patch that seems to work, but you should look over it carefully in case I made a mistake somewhere. This should install the vdpau libs, and some header files. This allows me to compile mplayer with VDPAU, and should make CUDA programmers a lot happier.

I hope the forum typesetting won't mangle this.

--- PKGBUILD.old 2008-12-04 05:03:56.000000000 -0500
+++ PKGBUILD 2008-12-04 05:05:46.000000000 -0500
@@ -37,7 +37,13 @@
mkdir -p $startdir/pkg/usr/lib/xorg/modules/{extensions,drivers}
mkdir -p $startdir/pkg/usr/share/licenses/nvidia/

- install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls}.so.${pkgver} \
+ mkdir -p $startdir/pkg/usr/include/{,GL,cuda,vdpau}
+
+ install -m644 include/cuda/{cudaGL,cuda}.h $startdir/pkg/usr/include/cuda
+ install -m644 include/vdpau/{vdpau_x11,vdpau}.h $startdir/pkg/usr/include/vdpau
+ install -m644 include/GL/{glxext,gl,glx,glext}.h $startdir/pkg/usr/include/GL
+
+ install lib/{libGLcore,libGL,libnvidia-cfg,libcuda,tls/libnvidia-tls,libvdpau_nvidia,libvdpau,libvdpau_trace}.so.${pkgver} \
$startdir/pkg/usr/lib/ || return 1
install -m644 share/man/man1/* $startdir/pkg/usr/man/man1/ || return 1
rm $startdir/pkg/usr/man/man1/nvidia-installer.1.gz || return 1
@@ -58,6 +64,8 @@
ln -s libnvidia-tls.so.$pkgver libnvidia-tls.so.1 || return 1
ln -s libcuda.so.$pkgver libcuda.so.1 || return 1
ln -s libXvMCNVIDIA.so.$pkgver libXvMCNVIDIA_dynamic.so.1 || return 1
+ ln -s libvdpau.so.$pkgver libvdpau.so.1 || return 1
+ ln -s libvdpau.so.$pkgver libvdpau.so || return 1
cd $startdir/pkg/usr/lib/xorg/modules/extensions
ln -s libglx.so.$pkgver libglx.so || return 1

PS: I think upstream has the same issues. If this patch actually works, someone should forward it to the proper maintainer of non-beta packages.
Comment by: ProgDan on Wed, 03 Dec 2008 19:25:51 +0000
AFAIK the VDPAU is inbuilt, so there's not choice to enable or disable it, it's just up to you if you use it or not. If you want to use it, you need to compile mplayer with special vdpau patch, and there is now also native support in MythTV.
Comment by: bgmiki on Wed, 03 Dec 2008 00:23:25 +0000
vdpau is enable or not in utils?
Comment by: ProgDan on Tue, 02 Dec 2008 22:32:56 +0000
Updated to 180.11
Comment by: ProgDan on Sat, 22 Nov 2008 14:58:35 +0000
Fixed. Thank you jacko. Sorry for the delay.

Now nvidia-utils-beta depends on xorg-server>=1.5 so if you want to use this beta drivers, you have to have xorg-server from [testing].
Comment by: jacko on Wed, 19 Nov 2008 13:57:19 +0000
This package will need an update to if it is to work with xorg-server in [testing].

nvidia.install script doesn't need to link libnvidia-wfb.so to libwfb.so

http://bbs.archlinux.org/viewtopic.php?id=56290 further information. Commenting the lines in nvidia.install fixed the issue.

Maybe for now you can run a test to see if the installed xorg-server >= 1.5 then sed the changes to install script before packaging.
Comment by: ProgDan on Tue, 18 Nov 2008 17:40:27 +0000
Updated to 180.08
Comment by: ProgDan on Fri, 14 Nov 2008 18:50:21 +0000
Updated to 180.06
Comment by: ProgDan on Thu, 13 Nov 2008 20:43:14 +0000
Updated to 177.82
Comment by: ProgDan on Sat, 25 Oct 2008 12:09:56 +0000
Updated to 177.61.02
Comment by: ProgDan on Tue, 07 Oct 2008 18:37:42 +0000
Updated to 177.80
Comment by: ProgDan on Sun, 05 Oct 2008 20:17:51 +0000
Yeah, I was thinking about this problem. Should I put nvidia-utils to conflicts() array, when it's already in provides() array?
I think pacman should solve this itself. Providing = conflicting with the original one -> remove the original one - am I right?
Comment by: takedown on Sun, 05 Oct 2008 18:49:46 +0000
==> Continue installing nvidia-utils-beta? [Y/n]
==> [v]iew package contents [c]heck package with namcap
==> ----------------------------------------------
==>y

loading package data...
checking dependencies...
error: replacing packages with -U is not supported yet
error: you can replace packages manually using -Rd and -U
error: failed to prepare transaction (conflicting dependencies)
:: nvidia-utils-beta: conflicts with nvidia-utils



SOLUTION:
pacman -Rd nvidia-utils
pacman -U /path/to/nvidia-utils-beta*.tar.gz
Comment by: ProgDan on Sun, 28 Sep 2008 10:22:31 +0000
Updated to 177.78
Comment by: buttons on Sat, 20 Sep 2008 16:13:21 +0000
No, it doesn't work perfectly. In fact, it isn't supposed to...

From AaronP in http://www.nvnews.net/vbulletin/showthread.php?t=113951

"The libnvidia-wfb.so shipped in the .run package is only intended for X servers that don't have their own libwfb.so and is not expected to work on ones that do."

My xorg 1.5.0-1 completely died when I upgraded to this beta, and now it works perfectly with the xorg libwfb.
Comment by: Venator85 on Sat, 20 Sep 2008 07:41:32 +0000
I'm using xorg-server 1.5.0-1 from testing, and I got this error:
(II) Loading /usr/lib/xorg/modules//libwfb.so
dlopen: /usr/lib/xorg/modules//libwfb.so: undefined symbol: PictureScreenPrivateIndex
(EE) Failed to load /usr/lib/xorg/modules//libwfb.so
(II) UnloadModule: "wfb"
(EE) Failed to load module "wfb" (loader failed, 7)
Full log here: http://pastebin.com/f7cbd41c1

xorg-server 1.5.0-1 with nvidia 177.70 works perfectly.
Thanks ;)
Comment by: ProgDan on Fri, 19 Sep 2008 21:43:22 +0000
Updated to 177.76
Comment by: ProgDan on Sun, 31 Aug 2008 18:03:46 +0000
Updated to 177.70
Comment by: ProgDan on Fri, 22 Aug 2008 19:42:09 +0000
Please, do not flag this package out-of-date. New version of package can't be uploaded, but it's available via the link in my comment below. Please use it until AUR is repaired.
Comment by: ProgDan on Fri, 22 Aug 2008 00:56:49 +0000
Updated to 177.68. Tarball is available here:

http://www.progdansoft.com/progdan/private/nvidia-utils-beta-177.68-3.src.tar.gz

And it contains supported-cards.txt - triple checked :-)
Comment by: ProgDan on Thu, 21 Aug 2008 23:09:22 +0000
Uhhh, I'm terribly sorry. I can't understand it, but makepkg --source simply does not pack the supported-cards.txt file (but the file exists)...I fixed the tarball manually...the link is still same...sorry for problems, I really need few days off...
Comment by: nicothyrael on Thu, 21 Aug 2008 18:16:35 +0000
I make a supported cards.txt with NVIDIA page information, make the MD5, correct PKGBUILD and works :)
Comment by: RazZziel on Thu, 21 Aug 2008 18:04:42 +0000
Well, worked for me copying the supported-cards from the stable driver and deleting the md5s, I was just saying it should get fixed :P
Comment by: cinan on Thu, 21 Aug 2008 17:38:58 +0000
RazZziel: I deleted every line in MAKEPKG which contains "supported-cards.txt" and everything works :)
Comment by: RazZziel on Thu, 21 Aug 2008 15:19:18 +0000
supported-cards.txt is still missing
Comment by: ProgDan on Thu, 21 Aug 2008 10:25:17 +0000
Tarball is temporarily located here:
http://www.progdansoft.com/progdan/private/nvidia-utils-beta-177.67-3.src.tar.gz

There is a problem with folder privileges on AUR server. This occurs only with some packages (about 15 reported now)...strange :) Aaron's already working on it.
Comment by: cinan on Thu, 21 Aug 2008 09:23:31 +0000
ProgDan: send the tarball to someone who can upload it instead of you
Comment by: Raftysworld on Wed, 20 Aug 2008 20:31:22 +0000
Please fix this tarball! Very important for kde4 users.
Comment by: rooloo on Wed, 20 Aug 2008 20:21:46 +0000
This package will not even download using yaourt -S to install, but yet yaourt -Ss reports that it is here.

Something is majorly wrong with the tarball.

Until this package is fixed correctly, nvidia-beta is sorta useless and I am assuming a lot of people wanna try this package.
Comment by: PaulSmecker on Wed, 20 Aug 2008 15:09:00 +0000
Please fix it!!
Comment by: ProgDan on Wed, 20 Aug 2008 12:17:11 +0000
Upps, I wanted to update the list and forgot to add it...but I have a problem with uploading it :( AUR does not like me...
Comment by: chylli on Wed, 20 Aug 2008 05:23:16 +0000
has no supported-cards.txt
Comment by: GCN on Tue, 19 Aug 2008 22:01:24 +0000
Looks like you forgot to provide the supported-cards.txt file, or.... ?
Comment by: ProgDan on Tue, 19 Aug 2008 21:42:56 +0000
Updated to 177.36

v1.6.0